Bug 730523 (CVE-2011-2983) - CVE-2011-2983 Mozilla: Private data leakage using RegExp.input
Summary: CVE-2011-2983 Mozilla: Private data leakage using RegExp.input
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-2983
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20110816,reported=20110814,sou...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-14 04:29 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-06-08 18:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-12 16:07:33 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1164 normal SHIPPED_LIVE Critical: firefox security update 2011-08-16 18:44:56 UTC
Red Hat Product Errata RHSA-2011:1165 normal SHIPPED_LIVE Critical: thunderbird security update 2011-08-16 18:22:41 UTC
Red Hat Product Errata RHSA-2011:1167 normal SHIPPED_LIVE Critical: seamonkey security update 2011-08-16 18:33:29 UTC

Description Huzaifa S. Sidhpurwala 2011-08-14 04:29:56 UTC
Security researcher shutdown reported that data from other domains could be read when RegExp.input was set.

Comment 1 Vincent Danen 2011-08-16 17:39:52 UTC
This is now public:

http://www.mozilla.org/security/announce/2011/mfsa2011-30.html

Comment 2 errata-xmlrpc 2011-08-16 18:22:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2011:1165 https://rhn.redhat.com/errata/RHSA-2011-1165.html

Comment 3 errata-xmlrpc 2011-08-16 18:33:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4

Via RHSA-2011:1167 https://rhn.redhat.com/errata/RHSA-2011-1167.html

Comment 4 errata-xmlrpc 2011-08-16 18:45:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2011:1164 https://rhn.redhat.com/errata/RHSA-2011-1164.html


Note You need to log in before you can comment on or make changes to this bug.